<template>
  <div>
    <div class="title-components">List Management</div>
    <list :items="items" @search="loadData"></list>
  </div>
</template>

<script>

import List from '../../components/List.vue';
import callApi from '../../middleware/apiCaller.js'

export default {
  data(){
    return{
      items:[]
    }
  },  
  components: {
    List
  },
  mounted() {
    this.loadData()
  },

  methods: {
    loadData(){
      callApi('overtime?_sort=id&_order=desc','GET',null).then(res =>{
        this.items=res.data
        })
    }
  },
}
</script>

<style>
.title {
  font-family: 'Quicksand', 'Source Sans Pro', -apple-system, BlinkMacSystemFont,
    'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

</style>
